> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List execution history for a post

> Returns the log of comments that triggered automations on this post and the actions taken (public reply / DM / delete).



## OpenAPI

````yaml get /api/public/instagram/accounts/{instagramAccountId}/posts/{postId}/history
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/instagram/accounts/{instagramAccountId}/posts/{postId}/history:
    get:
      tags:
        - Instagram Comment Automations
      summary: List execution history for a post
      description: >-
        Returns the log of comments that triggered automations on this post and
        the actions taken (public reply / DM / delete).
      operationId: PublicInstagramCommentAutomationController_listHistory
      parameters:
        - name: x-api-key
          in: header
          description: API key required to authorize the request
          required: true
          schema:
            type: string
        - name: instagramAccountId
          required: true
          in: path
          description: Vambe Instagram account id
          schema:
            type: string
        - name: postId
          required: true
          in: path
          description: Instagram media id (from GET .../posts)
          schema:
            type: string
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            type: integer
        - name: pageSize
          required: false
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
      responses:
        '200':
          description: Execution history.

````